| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
IOLink.ImageType Class Reference

A flag system that describes the dimensions of an image. An image is firstly defined by its dimensions. More...

Inheritance diagram for IOLink.ImageType:

## Public Member Functions
| ImageType (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()
| ImageType (params ImageDimension[] values)
override bool | Equals (object obj)
| ImageType ()
| Create an ImageType with no known dimensions.
| ImageType (ImageDimension dimension)
| Create an ImageType with only one given dimension.
| ImageType (ulong val)
| Create an ImageType from an 64-bits integer.
bool | Has (ImageDimension dimension)
| Checks if the ImageType has the given dimension.
void | Add (ImageDimension dimension)
| Add the given dimension to the ImageType.
uint | DimensionCount ()
| Give the number of dimensions in the ImageType.
void | Add (ImageType other)
| Add all the dimensions from given ImageType to current ImageType.
void | Remove (ImageDimension dimension)
| Remove the given dimension to the ImageType.
void | Remove (uint index)
| Remove the nth dimension to the ImageType.
void | Remove (ImageType other)
| Remove all the given dimensions to the ImageType.
ImageDimension | Dimension (uint index)
| Return the nth dimension at the given position.
uint | IndexDimension (ImageDimension dimension)
| Return the position of given dimension in the current ImageType.
string | ToString ()
| Return string interpretation.
ulong | Value ()
| Return internal 64-bit integer value.
| ImageType (ImageType other)

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (ImageType obj)
static global::System.Runtime.InteropServices.HandleRef | swigRelease (ImageType obj)
static bool | operator== (ImageType v1, ImageType v2)
static bool | operator!= (ImageType v1, ImageType v2)
static bool | InternalEqual (ImageType it1, ImageType it2)

## Protected Member Functions
virtual void | Dispose (bool disposing)

## Protected Attributes
bool | swigCMemOwn

## Detailed Description

A flag system that describes the dimensions of an image. An image is firstly defined by its dimensions.

i.e.

- a classic Image has COLUMN and ROW dimensions
- a volume has COLUMN, ROW and SLICE dimensions Concerning the order of dimensions, it follows #ImageDimension values order.

## Member Function Documentation

## ◆ Add() [1/2]

void IOLink.ImageType.Add | ( | ImageDimension | dimension | ) |
| inline

Add the given dimension to the ImageType.

Parameters

  dimension | dimension to add in the ImageType

## ◆ Add() [2/2]

void IOLink.ImageType.Add | ( | ImageType | other | ) |
| inline

Add all the dimensions from given ImageType to current ImageType.

Parameters

  other | ImageType whose dimensions must be added into the current ImageType

## ◆ Dimension()

ImageDimension IOLink.ImageType.Dimension | ( | uint | index | ) |
| inline

Return the nth dimension at the given position.

e.g. in an IMAGE_SEQUENCE: COLUMN is the dimension returned for index = 0 ROW is the dimension returned for index = 1 SEQUENCE is the dimension returned for index = 2

Exceptions

  Error | if index does not exist in current ImageType

Parameters

  index | dimension index in the ImageType

Returns
  the dimension corresponding to the given index

## ◆ Has()

bool IOLink.ImageType.Has | ( | ImageDimension | dimension | ) |
| inline

Checks if the ImageType has the given dimension.

Parameters

  dimension | dimension presence to be checked

Returns
  TRUE if dimension is present in the ImageType

## ◆ IndexDimension()

uint IOLink.ImageType.IndexDimension | ( | ImageDimension | dimension | ) |
| inline

Return the position of given dimension in the current ImageType.

e.g. in an IMAGE_SEQUENCE: COLUMN is the first dimension (idx = 0 is returned) ROW is the second dimension (idx = 1 is returned) SEQUENCE is the 3th dimension (idx= 2 is returned)

Parameters

  dimension | the dimension whom you want to get the index in the current ImageType

Returns
  -1 if the dimension is not present, otherwise the position (index) in current ImageType

## ◆ Remove() [1/3]

void IOLink.ImageType.Remove | ( | ImageDimension | dimension | ) |
| inline

Remove the given dimension to the ImageType.

Parameters

  dimension | dimension to remove from ImageType

## ◆ Remove() [2/3]

void IOLink.ImageType.Remove | ( | ImageType | other | ) |
| inline

Remove all the given dimensions to the ImageType.

Parameters

  other | ImageType whose dimensions must be removed from current ImageType

## ◆ Remove() [3/3]

void IOLink.ImageType.Remove | ( | uint | index | ) |
| inline

Remove the nth dimension to the ImageType.

Parameters

  index | index of the dimension to remove

The documentation for this class was generated from the following file:

- Release/net/generated/ImageType.cs